
// Parse error formatting function
function reportParseError(error)
{
  var s = "";
  for (var i=1; i<error.linepos; i++) {
    s += " ";
  }
  r = "<font face=Verdana size=2><font size=4>XML Error loading '" + 
      error.url + "'</font>" +
      "<p><b>" + error.reason + 
      "</b></p></font>";
  if (error.line > 0)
    r += "<font size=3><xmp>" +
    "at line " + error.line + ", character " + error.linepos +
    "\n" + error.srcText +
    "\n" + s + "^" +
    "</xmp></font>";
  return r;
}

// Runtime error formatting function.
function reportRuntimeError(exception, url)
{
  return "<font face=Verdana size=2><font size=4>XSL Runtime Error at " + url + "</font>" +
      "<p><b>" + exception.description + "</b></p></font>";
}
