<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="id"/>

<xsl:template match="/">
  <xsl:apply-templates select="//artikel[@id=$id]"/>

</xsl:template>

<xsl:template match="artikel">
  <h2>
    Artikel Heft 
    <xsl:choose>
      <xsl:when test="../../@zeitschrift='c'">c't</xsl:when>
      <xsl:when test="../../@zeitschrift='i'">iX</xsl:when>
      <xsl:otherwise>???</xsl:otherwise>
    </xsl:choose>
            
    <xsl:text> </xsl:text>

    <xsl:value-of select="../@nr"/>/<xsl:value-of select="../../@jahr"/>, 
    <br/>Seite <xsl:value-of select="seite"/>
  </h2>  

  <table>
    <tr>
      <th valign="top" align="left">Autor:</th>
      <td><xsl:value-of select="autor"/></td>
    </tr>  
    <tr>
      <th valign="top" align="left">Titel:</th>
      <td><xsl:value-of select="titel"/></td>
    </tr>  
    <tr>
      <th valign="top" align="left">Untertitel:</th>
      <td><xsl:value-of select="untertitel"/></td>
    </tr>  
    <tr>
      <th valign="top" align="left">Schlagworte:</th>
      <td><xsl:value-of select="schlagwort"/></td>
    </tr>  
  </table> 
</xsl:template>

</xsl:stylesheet>               
