<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="jahr"/>
<xsl:param name="zeitschrift"/>
<xsl:param name="heft"/>

<xsl:template match="/">
  <h2>
    Heft 
    <xsl:choose>
      <xsl:when test="$zeitschrift='c'">c't</xsl:when>
      <xsl:when test="$zeitschrift='i'">iX</xsl:when>
      <xsl:otherwise>???</xsl:otherwise>
    </xsl:choose>
        
    <xsl:text> </xsl:text>
    
    <xsl:value-of select="$heft"/>/<xsl:value-of select="$jahr"/>
  </h2>
  <table>
    <tr>
      <th>Titel</th>
      <th>Seite</th>
    </tr>  
    <xsl:apply-templates select="//jahrgang[@jahr=$jahr and @zeitschrift=$zeitschrift]/heft[@nr=$heft]/artikel">
      <xsl:sort select="seite" data-type="number"/>
    </xsl:apply-templates>
  </table>  

</xsl:template>

<xsl:template match="artikel">
  <tr>
    <td>
      <a>
      <xsl:attribute name="href">javascript:top.show_artikel(<xsl:value-of select="@id"/>)</xsl:attribute>
      <xsl:value-of select="titel"/>
      </a>
    </td>
    <td align="right">
      <xsl:value-of select="seite"/>
    </td>
  </tr>  
</xsl:template>

</xsl:stylesheet>               
