

!!! Listing 1: HTTP-Header

HTTP/1.1 200 OK
Date: Fri, 16 Jan 2001 12:42:56 GMT
Server: IBM_HTTP_Server 1.3.6.2 Apache/1.3.7-dev (Unix) 
Cache-Control: max-age=3600
Expires Fri, 16 Jan 2001 13:42:56 GMT
Last-Modified: Mon, 25 Dec 2000 09:11:32 GMT
ETag: "3401f-21e-39aa215c"
Accept-Ranges: bytes
Content-Length:542
Connection: close
Content-Type: text/plain 

!!! Listing 2

# Aktivierung von Expires-Headern
ExpiresActive On

# Regel 6: Alle nicht spezifierten Objekte 
# veralten nach 2 Tagen
ExpiresDefault "access 2 days"

# Regel 1: HTML Dateien drfen nur 
# einen Tag alt werden 
ExpiresByType text/html "access 1 day"

# Regel 2: Topnews mssen bereits nach 
# 5 Minuten revalidiert werden
<Directory /documents/topnews/*>
    ExpiresDefault "access 5 minutes"
</Directory>

# Regel 3: Alle Ojekte der Download Area 
# koennen einen Monat ohne
# Revalidierung ausgeliefert werden
<Directory /documents/download/*>
    ExpiresDefault "access 1 month"
</Directory>

# Regel 4: Alle Bilder sind 3 Monate gueltig 
# ohne Revalidierung
<Directory /documents/images/*>
    ExpiresDefault "access 3 months"
</Directory>

# Regel 5: Ojekte, die zur Zugriffszhlung 
# verwendet werden, veralten sofort
<Directory /documents/counters/*>
    ExpiresDefault now
</Directory>
